Delete a payment
curl --request DELETE \
--url https://sandbox.hurdlr.com/rest/v5/invoicing/payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"id": 123
}'import requests
url = "https://sandbox.hurdlr.com/rest/v5/invoicing/payment"
payload = { "id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({id: 123})
};
fetch('https://sandbox.hurdlr.com/rest/v5/invoicing/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoiceId": "<string>",
"invoiceName": "<string>",
"success": true,
"errorDescription": "<string>",
"emailRetVal": {
"error": "<string>",
"messageId": "<string>"
},
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"updateArInvoiceStatus": true,
"arPayment": {
"plaidItemAccountId": "<string>",
"plaidDisplayName": "<string>",
"plaidAccountNo": "<string>",
"plaidType": "<string>",
"plaidApiEntityId": "<string>",
"id": "<string>",
"business": {
"id": "<string>",
"companyId": "<string>",
"companyIdLong": 123,
"customerPartnerId": 123,
"name": "<string>",
"showName": true,
"contactFirst": "<string>",
"contactLast": "<string>",
"showContactFirstLast": true,
"email": "<string>",
"showEmail": true,
"phoneWork": "<string>",
"showPhoneWork": true,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"showAddress": true,
"tin": "<string>",
"invoicePrefix": "<string>",
"plaidApiEntityIds": "<string>",
"apiClientId": "<string>",
"dimensionId": 123,
"level0Id": 123,
"createdDate": "2023-11-07T05:31:56Z",
"nameColumnNameForPagination": "<string>",
"externalId": "<string>"
},
"companyId": "<string>",
"mode": "<string>",
"refNo": "<string>",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"amountApplied": 123,
"merchantFee": 123,
"bankTransferId": 123,
"paymentApiTranId": "<string>",
"clientId": "<string>",
"receiptUrl": "<string>",
"pendingRevenueId": "<string>",
"revenueId": "<string>",
"arInvoiceId": "<string>",
"refundId": "<string>",
"error": "<string>",
"extensionId": "<string>",
"glAccountId": 123,
"apiRevenueId": "<string>",
"apiSecondarySourceId": "<string>",
"autoCharge": true,
"glSourceId": 123,
"bankAccountId": 123,
"glAccountIdStr": "<string>",
"dateForPagination": "2023-11-07T05:31:56Z",
"glAmount": 123,
"apiSourceId": "<string>",
"amountMagnitude": 123,
"parentId": "<string>",
"parentEntityId": 123,
"transactionAccount": {
"name": "<string>",
"id": "<string>",
"mask": "<string>",
"glAccountId": "<string>",
"apiAccountId": "<string>",
"apiInstitutionId": "<string>",
"defaultClientId": "<string>"
},
"externalId": "<string>"
},
"paymentError": {
"empty": true
}
}Invoicing
Delete a payment
Delete a payment with the given id
DELETE
/
v5
/
invoicing
/
payment
Delete a payment
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
id
Response
200 - application/json
Successful operation
Show child attributes
Show child attributes
Error object containing details errors incurred, if any
Show child attributes
Show child attributes
Available options:
PENDING, SUCCEEDED, FAILED, UNKNOWN Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I